## Edit SSL Certificate Pack Validation Method `client.ssl.verification.edit(stringcertificatePackId, VerificationEditParamsparams, RequestOptionsoptions?): VerificationEditResponse` **patch** `/zones/{zone_id}/ssl/verification/{certificate_pack_id}` Edit SSL validation method for a certificate pack. A PATCH request will request an immediate validation check on any certificate, and return the updated status. If a validation method is provided, the validation will be immediately attempted using that method. ### Parameters - `certificatePackId: string` Certificate Pack UUID. - `params: VerificationEditParams` - `zone_id: string` Path param: Identifier. - `validation_method: "http" | "cname" | "txt" | "email"` Body param: Desired validation method. - `"http"` - `"cname"` - `"txt"` - `"email"` ### Returns - `VerificationEditResponse` - `status?: string` Result status. - `validation_method?: "http" | "cname" | "txt" | "email"` Desired validation method. - `"http"` - `"cname"` - `"txt"` - `"email"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.ssl.verification.edit('a77f8bd7-3b47-46b4-a6f1-75cf98109948', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', validation_method: 'txt', }); console.log(response.validation_method); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "status": "pending_validation", "validation_method": "txt" } } ```